diff --git a/src/main/java/net/minecraft/client/gui/container/CraftingScreen.java b/src/main/java/net/minecraft/client/gui/container/ScreenCrafting.java
similarity index 77%
rename from src/main/java/net/minecraft/client/gui/container/CraftingScreen.java
rename to src/main/java/net/minecraft/client/gui/container/ScreenCrafting.java
index 637786438..7d79d3594 100644
--- a/src/main/java/net/minecraft/client/gui/container/CraftingScreen.java
+++ b/src/main/java/net/minecraft/client/gui/container/ScreenCrafting.java
@@ -2,16 +2,16 @@ package net.minecraft.client.gui.container;
 
 import net.minecraft.client.input.controller.ControllerInput;
 import net.minecraft.core.lang.I18n;
-import net.minecraft.core.player.inventory.menu.CraftingMenu;
-import net.minecraft.core.player.inventory.container.Inventory;
+import net.minecraft.core.player.inventory.container.ContainerInventory;
+import net.minecraft.core.player.inventory.menu.MenuCrafting;
 import net.minecraft.core.world.World;
 import org.lwjgl.opengl.GL11;
 
-public class CraftingScreen extends AbstractContainerScreen
+public class ScreenCrafting extends ScreenContainerAbstract
 {
-    public CraftingScreen(Inventory inventory, World world, int x, int y, int z)
+    public ScreenCrafting(ContainerInventory inventory, World world, int x, int y, int z)
     {
-        super(new CraftingMenu(inventory, world, x, y, z));
+        super(new MenuCrafting(inventory, world, x, y, z));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/container/DispenserScreen.java b/src/main/java/net/minecraft/client/gui/container/ScreenDispenser.java
similarity index 65%
rename from src/main/java/net/minecraft/client/gui/container/DispenserScreen.java
rename to src/main/java/net/minecraft/client/gui/container/ScreenDispenser.java
index 29f566d73..8173f109f 100644
--- a/src/main/java/net/minecraft/client/gui/container/DispenserScreen.java
+++ b/src/main/java/net/minecraft/client/gui/container/ScreenDispenser.java
@@ -1,17 +1,17 @@
 package net.minecraft.client.gui.container;
 
-import net.minecraft.core.block.entity.DispenserBlockEntity;
+import net.minecraft.core.block.entity.TileEntityDispenser;
 import net.minecraft.core.lang.I18n;
-import net.minecraft.core.player.inventory.menu.TrapMenu;
-import net.minecraft.core.player.inventory.container.Inventory;
+import net.minecraft.core.player.inventory.menu.MenuTrap;
+import net.minecraft.core.player.inventory.container.ContainerInventory;
 import org.lwjgl.opengl.GL11;
 
-public class DispenserScreen extends AbstractContainerScreen
+public class ScreenDispenser extends ScreenContainerAbstract
 {
 
-    public DispenserScreen(Inventory inventoryplayer, DispenserBlockEntity tileentitydispenser)
+    public ScreenDispenser(ContainerInventory inventoryplayer, TileEntityDispenser tileentitydispenser)
     {
-        super(new TrapMenu(inventoryplayer, tileentitydispenser));
+        super(new MenuTrap(inventoryplayer, tileentitydispenser));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/container/FlagEditorScreen.java b/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
similarity index 97%
rename from src/main/java/net/minecraft/client/gui/container/FlagEditorScreen.java
rename to src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
index 0caf9198b..3c4c59b61 100644
--- a/src/main/java/net/minecraft/client/gui/container/FlagEditorScreen.java
+++ b/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
@@ -4,7 +4,7 @@ import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.ClickableLabelElement;
 import net.minecraft.client.gui.DrawableSurfaceElement;
 import net.minecraft.client.gui.TexturedButtonElement;
-import net.minecraft.core.block.entity.FlagBlockEntity;
+import net.minecraft.core.block.entity.TileEntityFlag;
 import net.minecraft.core.entity.player.Player;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
@@ -17,14 +17,14 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.net.packet.CustomPayloadPacket;
-import net.minecraft.core.player.inventory.menu.FlagMenu;
+import net.minecraft.core.player.inventory.menu.MenuFlag;
 import net.minecraft.core.util.helper.MathHelper;
 
-public class FlagEditorScreen
-    extends AbstractContainerScreen
+public class ScreenFlagEditor
+    extends ScreenContainerAbstract
     implements IDrawableSurface<Byte>
 {
-    private final FlagBlockEntity flagEntity;
+    private final TileEntityFlag flagEntity;
     private final int CANVAS_SCALE = 4;
     private final int CANVAS_WIDTH = 24;
     private final int CANVAS_HEIGHT = 16;
@@ -48,9 +48,9 @@ public class FlagEditorScreen
     DrawableSurfaceElement flagSurface;
     DrawableSurfaceElement drawOverlaySurface;
     
-    public FlagEditorScreen(Player player, FlagBlockEntity flagTileEntity)
+    public ScreenFlagEditor(Player player, TileEntityFlag flagTileEntity)
     {
-        super(new FlagMenu(player.inventory, flagTileEntity));
+        super(new MenuFlag(player.inventory, flagTileEntity));
         this.flagEntity = flagTileEntity;
         xSize = 176;
         ySize = 195;
diff --git a/src/main/java/net/minecraft/client/gui/container/FurnaceScreen.java b/src/main/java/net/minecraft/client/gui/container/ScreenFurnace.java
similarity index 72%
rename from src/main/java/net/minecraft/client/gui/container/FurnaceScreen.java
rename to src/main/java/net/minecraft/client/gui/container/ScreenFurnace.java
index ff31311ca..5759fd05e 100644
--- a/src/main/java/net/minecraft/client/gui/container/FurnaceScreen.java
+++ b/src/main/java/net/minecraft/client/gui/container/ScreenFurnace.java
@@ -1,27 +1,27 @@
 package net.minecraft.client.gui.container;
 
 import net.minecraft.client.input.controller.ControllerInput;
-import net.minecraft.core.block.entity.BlastFurnaceBlockEntity;
-import net.minecraft.core.block.entity.FurnaceBlockEntity;
+import net.minecraft.core.block.entity.TileEntityFurnace;
+import net.minecraft.core.block.entity.TileEntityFurnaceBlastFurnace;
 import net.minecraft.core.lang.I18n;
-import net.minecraft.core.player.inventory.menu.FurnaceMenu;
-import net.minecraft.core.player.inventory.container.Inventory;
+import net.minecraft.core.player.inventory.menu.MenuFurnace;
+import net.minecraft.core.player.inventory.container.ContainerInventory;
 import org.lwjgl.opengl.GL11;
 
-public class FurnaceScreen extends AbstractContainerScreen
+public class ScreenFurnace extends ScreenContainerAbstract
 {
 
-    public FurnaceScreen(Inventory inventory, FurnaceBlockEntity furnaceBlockEntity)
+    public ScreenFurnace(ContainerInventory inventory, TileEntityFurnace tileEntityFurnace)
     {
-        super(new FurnaceMenu(inventory, furnaceBlockEntity));
-        furnaceInventory = furnaceBlockEntity;
+        super(new MenuFurnace(inventory, tileEntityFurnace));
+        furnaceInventory = tileEntityFurnace;
     }
 
     @Override
 	protected void drawGuiContainerForegroundLayer()
     {
         I18n i18n = I18n.getInstance();
-        if(furnaceInventory instanceof BlastFurnaceBlockEntity) {
+        if(furnaceInventory instanceof TileEntityFurnaceBlastFurnace) {
             font.drawString(i18n.translateKey("gui.furnace.blast.label.blast_furnace"), 60, 6, 0x404040);
         } else {
             font.drawString(i18n.translateKey("gui.furnace.label.furnace"), 60, 6, 0x404040);
@@ -32,7 +32,7 @@ public class FurnaceScreen extends AbstractContainerScreen
     @Override
 	protected void drawGuiContainerBackgroundLayer(float f)
     {
-        if(furnaceInventory instanceof BlastFurnaceBlockEntity) {
+        if(furnaceInventory instanceof TileEntityFurnaceBlastFurnace) {
             mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/blastfurnace.png").bind();
         } else {
             mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/furnace.png").bind();
@@ -43,7 +43,7 @@ public class FurnaceScreen extends AbstractContainerScreen
         drawTexturedModalRect(x, y, 0, 0, xSize, ySize);
         if(furnaceInventory.isBurning())
         {
-            if (furnaceInventory instanceof BlastFurnaceBlockEntity) {
+            if (furnaceInventory instanceof TileEntityFurnaceBlastFurnace) {
                 int fireHeight = furnaceInventory.getBurnTimeRemainingScaled(14);
                 drawTexturedModalRect(x + 56, y + 35 + 14 - fireHeight, 176, 14 - fireHeight, 14, fireHeight + 2);
                 int arrowWidth = furnaceInventory.getCookProgressScaled(24);
@@ -62,5 +62,5 @@ public class FurnaceScreen extends AbstractContainerScreen
         controller.inventoryHandler.handleFurnace(this);
     }
 
-    private final FurnaceBlockEntity furnaceInventory;
+    private final TileEntityFurnace furnaceInventory;
 }
diff --git a/src/main/java/net/minecraft/client/gui/container/InventoryScreen.java b/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
similarity index 97%
rename from src/main/java/net/minecraft/client/gui/container/InventoryScreen.java
rename to src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
index 54389afd7..d06441057 100644
--- a/src/main/java/net/minecraft/client/gui/container/InventoryScreen.java
+++ b/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
@@ -25,15 +25,15 @@ import org.lwjgl.opengl.GL11;
 
 import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.DamageType;
-import net.minecraft.client.option.BooleanOption;
+import net.minecraft.client.option.OptionBoolean;
 import org.lwjgl.opengl.GL12;
 
 // Referenced classes of package net.minecraft.src:
 //            GuiContainer, Player, Achievements, FontRenderer,
-//            RenderEngine, LocalPlayer, RenderHelper, RenderManager,
+//            RenderEngine, PlayerLocal, RenderHelper, RenderManager,
 //            GuiButton, GuiAchievements, GuiStats
 
-public class InventoryScreen extends AbstractContainerScreen
+public class ScreenInventory extends ScreenContainerAbstract
 {
 	
 	private ButtonElement armorButton;
@@ -44,7 +44,7 @@ public class InventoryScreen extends AbstractContainerScreen
 	
 	private DamageType hoveredDamageType;
 
-    public InventoryScreen(Player player)
+    public ScreenInventory(Player player)
     {
         super(player.inventorySlots);
         passEvents = true;
@@ -176,7 +176,7 @@ public class InventoryScreen extends AbstractContainerScreen
         	OverlayButtonElement<?> button = (OverlayButtonElement<?>) overlayButtonsLayout.elements.get(i);
         	drawTexturedModalRect(button.xPosition + 1, button.yPosition + 1, 176, 9 + 9 * uvs.get(i), 9, 9);
         	boolean val = true;
-        	if(button.option instanceof BooleanOption) val = (Boolean) button.option.value;
+        	if(button.option instanceof OptionBoolean) val = (Boolean) button.option.value;
         	if(!val) drawTexturedModalRect(button.xPosition + 1, button.yPosition + 1, 194, 0, 9, 9);
         }
 
diff --git a/src/main/java/net/minecraft/client/gui/container/InventoryScreenCreative.java b/src/main/java/net/minecraft/client/gui/container/ScreenInventoryCreative.java
similarity index 96%
rename from src/main/java/net/minecraft/client/gui/container/InventoryScreenCreative.java
rename to src/main/java/net/minecraft/client/gui/container/ScreenInventoryCreative.java
index d8b0d023c..896f42783 100644
--- a/src/main/java/net/minecraft/client/gui/container/InventoryScreenCreative.java
+++ b/src/main/java/net/minecraft/client/gui/container/ScreenInventoryCreative.java
@@ -7,7 +7,7 @@ import net.minecraft.core.InventoryAction;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.client.gui.options.OptionsButtonElement;
 import net.minecraft.core.lang.I18n;
-import net.minecraft.core.player.inventory.menu.CreativeInventoryMenu;
+import net.minecraft.core.player.inventory.menu.MenuInventoryCreative;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.EntityRenderDispatcher;
@@ -18,20 +18,20 @@ import org.lwjgl.opengl.GL11;
 import net.minecraft.client.gui.TextFieldElement.ITextChangeListener;
 import org.lwjgl.opengl.GL12;
 
-public class InventoryScreenCreative extends InventoryScreen implements ITextChangeListener
+public class ScreenInventoryCreative extends ScreenInventory implements ITextChangeListener
 {
 	protected ButtonElement lastPageButton;
 	protected ButtonElement nextPageButton;
 	protected ButtonElement clearSearchButton;
 	protected TextFieldElement searchField;
-	protected CreativeInventoryMenu container;
+	protected MenuInventoryCreative container;
 	protected String pageString = "1/1";
 	
-	public InventoryScreenCreative(Player entityplayer)
+	public ScreenInventoryCreative(Player entityplayer)
 	{
 		super(entityplayer);
 		xSize = 298;
-		container = (CreativeInventoryMenu)entityplayer.inventorySlots;
+		container = (MenuInventoryCreative)entityplayer.inventorySlots;
 		armourValuesFloat = 186;
 		armourButtonFloatX = 81;
 		overlayButtonsLayout.setOffset(-(xSize / 2), -(ySize / 2) - 10);
diff --git a/src/main/java/net/minecraft/client/gui/container/TrommelScreen.java b/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
similarity index 74%
rename from src/main/java/net/minecraft/client/gui/container/TrommelScreen.java
rename to src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
index a8fa756ff..788f6b4d9 100644
--- a/src/main/java/net/minecraft/client/gui/container/TrommelScreen.java
+++ b/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
@@ -1,21 +1,21 @@
 package net.minecraft.client.gui.container;
 
-import net.minecraft.core.block.entity.TrommelBlockEntity;
+import net.minecraft.core.block.entity.TileEntityTrommel;
 import net.minecraft.core.lang.I18n;
-import net.minecraft.core.player.inventory.menu.TrommelMenu;
-import net.minecraft.core.player.inventory.container.Inventory;
+import net.minecraft.core.player.inventory.container.ContainerInventory;
+import net.minecraft.core.player.inventory.menu.MenuTrommel;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
 //            GuiContainer, ContainerFurnace, FontRenderer, RenderEngine,
-//            FurnaceBlockEntity, InventoryPlayer
+//            TileEntityFurnace, InventoryPlayer
 
-public class TrommelScreen extends AbstractContainerScreen
+public class ScreenTrommel extends ScreenContainerAbstract
 {
 
-    public TrommelScreen(Inventory inventoryplayer, TrommelBlockEntity tileentitytrommel)
+    public ScreenTrommel(ContainerInventory inventoryplayer, TileEntityTrommel tileentitytrommel)
     {
-        super(new TrommelMenu(inventoryplayer, tileentitytrommel));
+        super(new MenuTrommel(inventoryplayer, tileentitytrommel));
         ySize = 192;
         trommelInventory = tileentitytrommel;
     }
@@ -48,5 +48,5 @@ public class TrommelScreen extends AbstractContainerScreen
 
     }
 
-    private TrommelBlockEntity trommelInventory;
+    private TileEntityTrommel trommelInventory;
 }
diff --git a/src/main/java/net/minecraft/client/gui/createworld/CreateWorldScreen.java b/src/main/java/net/minecraft/client/gui/createworld/ScreenCreateWorld.java
similarity index 73%
rename from src/main/java/net/minecraft/client/gui/createworld/CreateWorldScreen.java
rename to src/main/java/net/minecraft/client/gui/createworld/ScreenCreateWorld.java
index 1d7a97662..cc31cced6 100644
--- a/src/main/java/net/minecraft/client/gui/createworld/CreateWorldScreen.java
+++ b/src/main/java/net/minecraft/client/gui/createworld/ScreenCreateWorld.java
@@ -1,11 +1,11 @@
 package net.minecraft.client.gui.createworld;
 
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.gui.paged.PagedScreen;
+import net.minecraft.client.gui.paged.ScreenPaged;
 
-public class CreateWorldScreen
-    extends PagedScreen {
-    public CreateWorldScreen(Screen parent) {
+public class ScreenCreateWorld
+    extends ScreenPaged {
+    public ScreenCreateWorld(Screen parent) {
         super(
             parent,
             CreateWorldPageRegistry.getInstance(),
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/PageManager.java b/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPageManager.java
similarity index 98%
rename from src/main/java/net/minecraft/client/gui/guidebook/PageManager.java
rename to src/main/java/net/minecraft/client/gui/guidebook/GuidebookPageManager.java
index 52ef852b2..f61d92852 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/PageManager.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPageManager.java
@@ -7,7 +7,7 @@ import java.util.ArrayList;
 import java.util.Collections;
 import java.util.List;
 
-public class PageManager {
+public class GuidebookPageManager {
     private final List<GuidebookPage> pages = new ArrayList<>();
     private final PageNavigationStack stack = new PageNavigationStack(10);
     private GuidebookPage leftPage = null;
@@ -15,7 +15,7 @@ public class PageManager {
     private GuidebookSection currentSection = null;
     public static SearchQuery searchQuery = null;
 
-    public PageManager() {
+    public GuidebookPageManager() {
        updatePages();
        setCurrentPage(0, false);
     }
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/GuidebookSections.java b/src/main/java/net/minecraft/client/gui/guidebook/GuidebookSections.java
index bf32c9e2f..133124187 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/GuidebookSections.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/GuidebookSections.java
@@ -1,14 +1,13 @@
 package net.minecraft.client.gui.guidebook;
 
-import net.minecraft.client.gui.guidebook.cover.CoverSection;
-import net.minecraft.client.gui.guidebook.crafting.CraftingSection;
-import net.minecraft.client.gui.guidebook.index.IndexSection;
-import net.minecraft.client.gui.guidebook.mobs.MobSection;
-import net.minecraft.client.gui.guidebook.search.SearchSection;
-import net.minecraft.client.gui.guidebook.smelting.BlastSmeltingSection;
-import net.minecraft.client.gui.guidebook.smelting.SmeltingSection;
-import net.minecraft.client.gui.guidebook.trommeling.TrommelSection;
-import net.minecraft.core.block.Block;
+import net.minecraft.client.gui.guidebook.cover.GuidebookSectionCover;
+import net.minecraft.client.gui.guidebook.crafting.GuidebookSectionCrafting;
+import net.minecraft.client.gui.guidebook.index.GuidebookSectionIndex;
+import net.minecraft.client.gui.guidebook.mobs.GuidebookSectionMob;
+import net.minecraft.client.gui.guidebook.search.GuidebookSectionSearch;
+import net.minecraft.client.gui.guidebook.smelting.GuidebookSectionBlastSmelting;
+import net.minecraft.client.gui.guidebook.smelting.GuidebookSectionSmelting;
+import net.minecraft.client.gui.guidebook.trommeling.GuidebookSectionTrommel;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.ItemStack;
 
@@ -33,14 +32,14 @@ public abstract class GuidebookSections {
         if (initialized) return;
         initialized = true;
 
-        COVER = register(new CoverSection());
-        INDEX = register(new IndexSection());
-        SEARCH = register(new SearchSection());
-        CRAFTING = register(new CraftingSection());
-        FURNACE = register(new SmeltingSection("guidebook.section.furnace", new ItemStack(Blocks.FURNACE_STONE_ACTIVE), 0x606060, 0x404040));
-        BLAST_FURNACE = register(new BlastSmeltingSection("guidebook.section.blast_furnace", new ItemStack(Blocks.FURNACE_BLAST_ACTIVE), 0xA0A0A0, 0x808080));
-        TROMMEL = register(new TrommelSection("guidebook.section.trommel", new ItemStack(Blocks.TROMMEL_ACTIVE), 0x202020, 0x404040));
-        MOB = register(new MobSection());
+        COVER = register(new GuidebookSectionCover());
+        INDEX = register(new GuidebookSectionIndex());
+        SEARCH = register(new GuidebookSectionSearch());
+        CRAFTING = register(new GuidebookSectionCrafting());
+        FURNACE = register(new GuidebookSectionSmelting("guidebook.section.furnace", new ItemStack(Blocks.FURNACE_STONE_ACTIVE), 0x606060, 0x404040));
+        BLAST_FURNACE = register(new GuidebookSectionBlastSmelting("guidebook.section.blast_furnace", new ItemStack(Blocks.FURNACE_BLAST_ACTIVE), 0xA0A0A0, 0x808080));
+        TROMMEL = register(new GuidebookSectionTrommel("guidebook.section.trommel", new ItemStack(Blocks.TROMMEL_ACTIVE), 0x202020, 0x404040));
+        MOB = register(new GuidebookSectionMob());
     }
 
     public static GuidebookSection register(GuidebookSection section) {
